#include <TM1637.h>

const unsigned int ALCOHOL_SENSOR_PIN = 0;
const unsigned int CLK_DISPLAY = 2;
const unsigned int DIO_DISPLAY = 3;
const unsigned int BUZZER = 7;
int value  = 0;
unsigned int timer = 1800;
TM1637 tm(CLK_DISPLAY, DIO_DISPLAY);
int isOpened = 0;

void setup() {
    Serial.begin(9600);

    pinMode(BUZZER, OUTPUT);

    tm.init();
    tm.set(2);
    tm.display(0, 0);
    tm.display(1, 0);
    tm.display(2, 0);
    tm.display(3, 0);
    
    cli();

    TCCR1A = 0;
    TCCR1B = 0;
    TCNT1  = 0;
  
    OCR1A = 31249;
    TCCR1B |= (1 << WGM12);   // CTC mode
    TCCR1B |= (1 << CS12);    // 256 prescaler
    TIMSK1 |= (1 << OCIE1A);  // enable timer compare interrupt
    sei();
}


ISR(TIMER1_COMPA_vect) {
  if (timer > 0) {
    timer--;
  } else {
    value = analogRead(ALCOHOL_SENSOR_PIN);

    tm.display(3, value % 10);
    tm.display(2, value / 10 % 10);
    tm.display(1, value / 100 % 10);
    tm.display(0, value / 1000 % 10);

    if (value >= 610) {
      tone(BUZZER, 700);
    } else {
      noTone(BUZZER);
    }
  }
}

void loop() {
  
}
